import javax.ejb.SessionBean;

public class StockQuoteExample implements SessionBean{

  public int getStockQuotePrice(String name){
    try{
      InitialContext jndiContext = new InitialContext();
      //Service쐬
      StockQuoteService service = jndiContext.lookup 
          ("java:comp/env/service/StockQuoteService");

      //ServiceportType쐬
      StockQuote port = service.getStockQuote();

      //擾
      int price = port.getPrice(name);
      return price;
    }catch(RemoteException ex){
      ex.printStackTrace();
    }catch(ServiceException ex){
      ex.printStackTrace();
    }catch(NamingException ex){
      ex.printStackTrace();
    }
  }
}